ISNAN(3) | Library Functions Manual | ISNAN(3)

# NAME

isnan — test for not-a-number

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <math.h>

int
isnan(real-floating x);

# DESCRIPTION

The isnan() macro determines whether its argument x is not-a-number (“NaN”). An argument represented in a format wider than its semantic type is converted to its semantic type first. The determination is then based on the type of the argument.

## IEEE 754

It is determined whether the value of x is a NaN.

## VAX

NaNs are not supported.

# RETURN VALUES

The isnan() macro returns a non-zero value if the value of x is a NaN. Otherwise 0 is returned.

# SEE ALSO

fpclassify(3), isfinite(3), isinf(3), isinff(3), isnanf(3), isnormal(3), math(3), signbit(3)

IEEE Standard for Binary Floating-Point Arithmetic, Std 754-1985, ANSI.

# STANDARDS

The isnan() macro conforms to ISO/IEC 9899:1999 (“ISO C99”).

March 5, 2004 | NetBSD 7.2